<template>
  <div class="Member">
    <v-inputtime :inputtime="inputtime[0]"></v-inputtime>
    <v-inputtime :inputtime="inputtime[1]"></v-inputtime>
    <v-spaces :height="'20px'"></v-spaces>
    <v-footer :status="status" :footer="'查询'" @footerEmit="enterCardList()"></v-footer>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import inputtime from '@/components/inputTime/inputTime.vue'
  import footer from '@/components/footer/footer.vue'
  import spaces from '@/components/spaces/spaces.vue'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import store from '@/store'
  let mta= require('@/utils/mta_analysis.js');
  // Group
  let datas = {

  };
  export default {
    data(){
      return{
        hintbox:{
          text : '',
          show : false
        },
        inputtime:[
          {
            text : '开始日期',
            placeholder:'请选择开始日期',
            value:'',
            maxtime:'2018-9-10'
          },
          {
            text : '结束日期',
            placeholder:'请选择结束日期',
            value:''
          }
        ]
      }
    },
    components:{
      'v-inputtime' : inputtime,
      'v-footer' : footer,
      'v-spaces' : spaces,
      'v-hintbox' : hintbox
    },
    computed:{
      status(){
        let date = new Date('2014-04-23 18:55:49:123');
        // 有三种方式获取
        let time1 = date.getTime();
        if(this.inputtime[0].value !== '' && this.inputtime[1].value !== ''){
          let date = new Date(this.inputtime[0].value);
          let time1 = date.getTime();
          let date2 = new Date(this.inputtime[1].value);
          let time2 = date2.getTime();
          if(date <= date2){
            return true
          }else{
            return false
          }
        }else{
          return false
        }
      }
    },
    methods:{
      close(){
        this.hintbox.show =false;
        this.hintbox.text ='';
      },
      enterCardList(){
        console.log(this.inputtime[0].value);
        console.log(this.inputtime[1].value);
        if(this.inputtime[0].value === '' || this.inputtime[1].value === ''){
          this.hintbox.show =true;
          this.hintbox.text ='请选择时间';
         return;
        }

        config.href(config.CardList+"?page=Member&startdate="+this.inputtime[0].value+'&enddate='+this.inputtime[1].value);
          // CardList
      }
    },
    async onLoad(){
      store.commit('add',[ 'Home','ajax',true]);
        mta.Page.init();
      let date = new Date;
      let year = date.getFullYear();
      let month = date.getMonth()+1;
      if (month < 10){
        month = '0'+month;
      }
      //let day = new Date(year,month,0);
      let day = date.getDate();
      if (day < 10){
        day = '0'+day;
      }
      this.inputtime[0].value = year+'-'+month+'-'+'01';
      this.inputtime[1].value = year+'-'+month+'-'+day;
    }
    //
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>

</style>
